Bug 2024170 (CVE-2021-3981) - CVE-2021-3981 grub2: Incorrect permission in grub.cfg allow unprivileged user to read the file content
Summary: CVE-2021-3981 grub2: Incorrect permission in grub.cfg allow unprivileged user...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3981
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2030358 2030359 2030724
Blocks: 2024171 2025015
TreeView+ depends on / blocked
 
Reported: 2021-11-17 13:35 UTC by Marco Benatto
Modified: 2022-05-17 09:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw in grub2 was found where its configuration file, known as grub.cfg, is being created with the wrong permission set allowing non privileged users to read its content. This represents a low severity confidentiality issue, as those users can eventually read any encrypted passwords present in grub.cfg.
Clone Of:
Environment:
Last Closed: 2022-05-11 12:15:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:2110 0 None None None 2022-05-10 15:26:27 UTC

Description Marco Benatto 2021-11-17 13:35:07 UTC
GRUB2 grub.cfg configuration file is created with the wrong permission (0644) allowing unprivileged users to read grub's configuration file content. This presents a low Confidentiality risk as grub.cfg may contain encrypted passwords.

Comment 2 Marco Benatto 2021-12-08 14:44:00 UTC
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 2030358]

Comment 5 Marco Benatto 2022-01-05 14:12:42 UTC
Upstream patch for this issue:
https://git.savannah.gnu.org/cgit/grub.git/commit/?id=0adec29674561034771c13e446069b41ef41e4d4

Comment 6 errata-xmlrpc 2022-05-10 15:26:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:2110 https://access.redhat.com/errata/RHSA-2022:2110

Comment 7 Product Security DevOps Team 2022-05-11 12:15:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3981


Note You need to log in before you can comment on or make changes to this bug.